Registering Your Bank Account SEPA Transfers
To complete transfers from your Bitso account to an external SEPA-area bank account, you must first register the bank account in Bitso's systems. The registration creates an ID, which represents your external bank account. Only registered bank accounts can receive payments. You can register multiple bank accounts, which can be your or a third party's personal or company account.
For EUR payments, the service supports bank accounts located in the 27 EU Member States, plus Åland Islands (ALA) French Guiana (GUF) Guadeloupe (GLP) Iceland (ISL) Liechtenstein (LIE) Martinique (MTQ) Mayotte (MYT) Norway (NOR) Réunion (REU) Saint Martin (French part) (MAF) Switzerland (CHE) United Kingdom of Great Britain and Northern Ireland (GBR). For these accounts, you must provide the IBAN (International Bank Account Number).
To register your bank account, make the following HTTP request using the required body parameters:
POST https://api-stage.bitso.com/v3/payments/usd/bridge/external-accounts
Body Parameters
| Parameter Name | Description | Type | Required / Optional |
|---|---|---|---|
account_number | ID of the bank account you want to register, IBAN. | String | Required |
account_owner_name | The full name of the person or company who owns the account you want to register. Ensure the name matches exactly the name of the account holder. Otherwise, the transfer might be rejected. | String | Required |
account_owner_type | Identifies whether the account you want to register belongs to an individual or a business entity. Valid values: individual and business.For individual ownership, first_name and last_name are required. For business ownership, business_name is required. | String | Required |
bank_name | The name of the bank that handles the account you want to register. | String | Required |
bic | The Business Identifier Code, an eight-alphanumeric character code that identifies the financial institution that holds the account in the given country. It can contain an optional three-alphanumeric character element that identifies the branch of the institution in the same country. | String | Required |
business_name | The full name of the company who owns the account you want to register. Ensure the name matches exactly the name of the account holder. Otherwise, the transfer might be rejected. | String | Required when account_owner_type=business |
country | Country in which the bank account is located. It's a three-letter country code as defined in the ISO 3166-1 spec. | String | Optional |
currency | The currency associated with the registered account. Valid value: EUR (case sensitive) | String | Optional. When omitted, it defaults to USD, so ensure to set it to EUR when registering a SEPA-area account. |
first_name | The first name of the person who owns the account you want to register. | String | Required when account_owner_type=individual |
last_name | The surname of the person who owns the account you want to register. Ensure the full name matches exactly the name of the account holder. Otherwise, the transfer might be rejected. | String | Required when account_owner_type=individual |
The following JSON object exemplifies the request body for registering a SEPA-area, external account:
{
"bank_name": "Santander",
"currency": "EUR",
"account_owner_name": "Satoshi Nakamotu",
"account_number": "ES9121000418450200012345",
"account_owner_type": "individual",
"bic": "BSCHESMM123",
"country": "ESP",
"first_name": "Satoshi",
"last_name": "Nakamotu"
}A successful account registration creates an identifier for your external account in Bitso's systems. The call returns this representation of your external account as shown below:
{
"success": true,
"payload": {
"active": true,
"id": "b5fa9f2b-548b-4cc8-96c7-f4f14afac801",
"bank_name": "Santander",
"last_4": "1339",
"account_owner_name": "Satoshi Nakamotu"
}
}
Use the correct account ID.When executing a withdrawal or retrieving information about your account, use the identifier (UUID) specified in the
idproperty to define your external bank account.
The variable last_4 stores the last four digits of your bank account number.
Fixing Possible Terms-and-Conditions Error Message
Because in the testing environment is possible to omit the KYC procedure, you might get the following error message when registering an account:
{
"code": "bridge.terms_and_conditions_not_accepted",
"defaultMessage": "Terms and Conditions not accepted",
"arguments": []
}Fix it by making the following HTTP request using the indicated body parameter, which sets the flag needed for transfering funds:
POST https://stage.bitso.com/api/v3/settings/flags
{
"bridge_terms_and_conditions_accepted": true
}It returns your settings, as exemplified below. Ensure the Terms and Conditions flag is set to true:
{
"success": true,
"payload": {
"risk_warning_crypto_accepted": true,
"risk_warning_trading_accepted": false,
"user_intention_trader": false,
"user_intention_sender": false,
"user_intention_holder": false,
"user_intention_buyer": false,
"stop_loss_warning_accepted": false,
"stop_limit_warning_accepted": false,
"user_wallet_shift": false,
"shift_conversion_disclaimer_accepted": false,
"shift_terms_and_conditions_accepted": false,
"shift_new_product_notification_read": false,
"loyalty_referral_program_read": false,
"hide_circle_first_deposit_modal": false,
"domestic_wires_br_terms_and_conditions": false,
"bridge_terms_and_conditions_accepted": true,
"has_balance_debt": false
}
}Listing Your Registered Accounts
You can list the internal accounts linked to your bank accounts by making the following HTTP call, which returns a list of all the accounts you have registered. Currently, no endpoint exists to retrieve the information of a specific account:
GET https://api-stage.bitso.com/v3/payments/usd/bridge/external-accounts
The following response object exemplifies the output obtained:
{
"success": true,
"payload": [
{
"id": "e5d07266-e457-4038-9537-b4b4c9779b85",
"bank_name": "BBVA",
"last_4": "7922",
"account_owner_name": "Jane Doe"
},
{
"id": "d8d7e471-efa2-4c1b-80b2-bdf05fbb949e",
"bank_name": "Société Générale",
"last_4": "3255",
"account_owner_name": "Crypto Technology"
}
]
}Updated 8 months ago
